Межсайтовый скриптинг в Qt

Дата публикации:
05.04.2007
Всего просмотров:
1120
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Qt 3.x
Qt 4.x
Уязвимые версии: Qt 3.x и 4.x

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки длинных последовательностей UTF-8 символов. Удаленный пользователь может с помощью специально сформированного запроса обойти механизм фильтрации некоторых символов и выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.trolltech.com/products/qt

Решение: Установите исправление с сайта производителя.

Qt 3.3.8:
http://www.trolltech.com/developer/download/Qt-3.3.8-UTF-8-fix.diff

Qt 4.2.3:
http://www.trolltech.com/developer/download/Qt-4.2.3-UTF-8-fix.diff

или введите имя

CAPTCHA